AlertConditionsSatisfiedZEvent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.AlertConditionsSatisfiedZEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class AlertConditionsSatisfiedZEvent

    java.lang.Object
      org.hyperic.hq.zevents.Zevent
          org.hyperic.hq.measurement.server.session.AlertConditionsSatisfiedZEvent

    public class AlertConditionsSatisfiedZEvent

extends Zevent

Represents that all conditions of an alert have been satisfied and the alert can be created by listeners

Constructor Summary
`AlertConditionsSatisfiedZEvent(int alertDefId, TriggerFiredEvent[] triggerFiredEvents)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.zevents.Zevent
`getPayload, getQueueEntryTime, getQueueExitTime, getSourceId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlertConditionsSatisfiedZEvent

    public AlertConditionsSatisfiedZEvent(int alertDefId,
                                          TriggerFiredEvent[] triggerFiredEvents)

Parameters:
  `alertDefId` - The alert definition Id
  `triggerFiredEvents` - The events satisfying the alert conditions

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Zevent`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.